<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.admin.biz.dao.TsaAnswerPhaseDao">

	<!-- 답변문구 조회 -->
	<select id="getAnswerPhase" parameterType="Integer" resultType="AnswerPhase">
		/* TsaAnswerPhase.getAnswerPhase */
		 SELECT ANS_TITLE   --답변제목
		      , ANS_CONTENT --답변내용
		FROM    TB_ANS_PHASE
		WHERE   ANS_SQ = #{ansSq}
		AND     USE_YN = 'Y'
	</select>

	<!-- 일대일문의 답변 템플릿 조회 -->
	<select id="getOneToOneAnswerPhase" parameterType="AnswerPhase" resultType="AnswerPhase">
		/* TsaAnswerPhase.getOneToOneAnswerPhase */
		SELECT ANS_SQ      --답변일련번호
		     , ANS_TITLE   --답변제목
		     , ANS_CONTENT --답변내용
		FROM   TB_ANS_PHASE
		WHERE  ANS_SQ = #{ansSq}
		AND    ANS_CLSF = #{ansClsf}
		AND    USE_YN = 'Y'
	</select>

</mapper>